# Class HaploidReferenceDecoderOptions

java.lang.Object
htsjdk.beta.plugin.hapref.HaploidReferenceDecoderOptions

All Implemented Interfaces:
  `HtsDecoderOptions`

public class HaploidReferenceDecoderOptions extends Object implements HtsDecoderOptions
Class for haploid reference decoder options.

## Constructor Summary

Constructors
Constructor
Description
`HaploidReferenceDecoderOptions()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HaploidReferenceDecoderOptions

public HaploidReferenceDecoderOptions()